version: v1
managed:
  enabled: true

plugins:
  - plugin: buf.build/protocolbuffers/go
    out: ../../pkg/gen
    opt: paths=source_relative
    
  - plugin: buf.build/connectrpc/go
    out: ../../pkg/gen
    opt: paths=source_relative
    
  - plugin: buf.build/grpc-ecosystem/openapiv2
    out: ../openapi-spec
    opt:
      - disable_default_responses=true
      - disable_default_errors=true
    
